| Home | Libraries | People | FAQ | More

## Class template atomic_inc

boost::compute::atomic_inc

## Synopsis

    // In header: <boost/compute/functional/atomic.hpp>

    template<typename T>
    class atomic_inc : public function< T(T *)> {
    public:
      // construct/copy/destruct
      atomic_inc();
    };

## Description

### `atomic_inc` public construct/copy/destruct

1.     atomic_inc();